Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.outlet
Interface TypedOutletSaxHandlerFactory

All Known Implementing Classes:
  CopyOutletSaxHandlerFactory, JavaOutletSaxHandlerFactory, VelocityOutletSaxHandlerFactory

    public interface TypedOutletSaxHandlerFactory

Classes implementing this interface are responsible for creating `OutletSaxHandler`s for a specific outlet type.

Method Summary
`OutletSaxHandler` | `getOutletSaxHandler(QualifiedName outletName, ConfigurationProvider configurationProvider, ProjectPaths projectPaths, ConfigurationHandlers configurationHandlers)` Returns a OutletSaxHandler for reading in the configuration of a outlet.
`String` | `getType()` Returns the outlet type handled by the OutletSaxHandlers which are created by this factory.

Method Detail

### getType

    String getType()

  Returns the outlet type handled by the OutletSaxHandlers which are created by this factory.

  Returns:
    the type of the outlets, not null.

### getOutletSaxHandler

    OutletSaxHandler getOutletSaxHandler(QualifiedName outletName,
                                         ConfigurationProvider configurationProvider,
                                         ProjectPaths projectPaths,
                                         ConfigurationHandlers configurationHandlers)
                                         throws SAXException

  Returns a OutletSaxHandler for reading in the configuration of a outlet. The SAX Handler is used as a delegate handler whenever a outlet element with the matching type is encountered in a outlet configuration file.

  Parameters:
    `outletName` - the name for the outlet which configuration will be read in by the generated SaxHandlerFactory, or null if the name of the outlet should be determined from the parsed xml.
    `configurationProvider` - The access object for the configuration files, not null.
    `projectPaths` - The paths of the surrounding project, not null.
    `configurationHandlers` - the available configuration handlers, not null.
  Returns:
    a SAX delegate handler for parsing the configuration with the given type.
  Throws:
    `SAXException` - if the SAX Handler for the outlet can not be created from the given XML element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.